DCMTK: OFLog Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | Private Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
OFLog Class Reference

functions for initializing the logging system More...

## Static Public Member Functions
static OFLogger | getLogger (const char *name)
| create a new logger object.
static void | configure (OFLogger::LogLevel level=OFLogger::WARN_LOG_LEVEL)
| set up the logging and enable it
static void | configureFromCommandLine (OFCommandLine &cmd, OFConsoleApplication &app, OFLogger::LogLevel defaultLevel=OFLogger::WARN_LOG_LEVEL)
| handle the command line options used for logging
static void | addOptions (OFCommandLine &cmd)
| add the command line options which configureFromCommandLine() checks for
static void | reconfigure (OFCommandLine *cmd=NULL)
| if there was a config file loaded in configureFromCommandLine(), the in-memory copy will be parsed again, but all variables will be updated first (current time, process id, ....)

## Private Member Functions
| OFLog ()
| private constructor, don't create instances of this class

## Static Private Member Functions
static void | configureLogger (dcmtk::log4cplus::LogLevel level)
| set up the logging and enable it

## Static Private Attributes
static OFunique_ptr< dcmtk::log4cplus::helpers::Properties > | configProperties_
| If we loaded a config file in configureFromCommandLine(), this is it.

## Detailed Description

functions for initializing the logging system

## Member Function Documentation

## ◆ addOptions()

static void OFLog::addOptions | ( | OFCommandLine & | cmd | ) |
| static

add the command line options which configureFromCommandLine() checks for

Parameters

  cmd | the command line to which these options should be added

Referenced by OFTestManager::run().

## ◆ configure()

static void OFLog::configure | ( | OFLogger::LogLevel | level = OFLogger::WARN_LOG_LEVEL | ) |
| static

set up the logging and enable it

Parameters

  level | the verbosity that you want

References OFLogger::WARN_LOG_LEVEL.

## ◆ configureFromCommandLine()

static void OFLog::configureFromCommandLine | ( | OFCommandLine & | cmd,
|  | OFConsoleApplication & | app,
|  | OFLogger::LogLevel | defaultLevel = OFLogger::WARN_LOG_LEVEL )
| static

handle the command line options used for logging

Parameters

  cmd | the command line whose options are handled
  app | the console application which is used for console output and error checking
  defaultLevel | default log level that is used if not specified on the command line

References OFLogger::WARN_LOG_LEVEL.

Referenced by OFTestManager::run().

## ◆ configureLogger()

static void OFLog::configureLogger | ( | dcmtk::log4cplus::LogLevel | level | ) |
| staticprivate

set up the logging and enable it

Parameters

  level | the verbosity that you want

## ◆ getLogger()

static OFLogger OFLog::getLogger | ( | const char * | name | ) |
| static

create a new logger object.

Logger objects have a reference counting copy-constructor, so returning by-value is cheap.

Parameters

  name | the name of the logger

Returns
  requested logger object

## ◆ reconfigure()

static void OFLog::reconfigure | ( | OFCommandLine * | cmd = NULL | ) |
| static

if there was a config file loaded in configureFromCommandLine(), the in-memory copy will be parsed again, but all variables will be updated first (current time, process id, ....)

Parameters

  cmd | command line from which the application name will be retrieved

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/oflog.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2